Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.transaction
Class SlideXid

    java.lang.Object
      org.apache.slide.transaction.SlideXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

public final class SlideXid
extends java.lang.Object
implements javax.transaction.xa.Xid

Xid implementation.

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`SlideXid(byte[] globalTransactionId, int formatId, byte[] branchQualifier)` Constructor.

Method Summary
`byte[]` | `getBranchQualifier()` Obtain the transaction branch identifier part of XID as an array of bytes.
`int` | `getFormatId()` Obtain the format identifier part of the XID.
`byte[]` | `getGlobalTransactionId()` Obtain the global transaction identifier part of XID as an array of bytes.
`(package private) javax.transaction.xa.Xid` | `newBranch(int branchNumber)` Create a new branch based on this Xid.
`java.lang.String` | `toString()` Obtain a String representation of this xid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlideXid

    public SlideXid(byte[] globalTransactionId,
                    int formatId,
                    byte[] branchQualifier)

  Constructor.

Method Detail

### getFormatId

    public int getFormatId()

  Obtain the format identifier part of the XID.

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`
  Returns:
    Format identifier. O means the OSI CCR format.

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Obtain the global transaction identifier part of XID as an array of bytes.

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`
  Returns:
    Global transaction identifier.

### getBranchQualifier

    public byte[] getBranchQualifier()

  Obtain the transaction branch identifier part of XID as an array of bytes.

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`
  Returns:
    Global transaction identifier.

### toString

    public java.lang.String toString()

  Obtain a String representation of this xid.

### newBranch

    javax.transaction.xa.Xid newBranch(int branchNumber)

  Create a new branch based on this Xid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD